# These are external variables, and shouldn't clash with anything else
#  @NAME@
#  @NAME@_BUILT
#

if [ -z ${@NAME@_BUILT} ]
then
    @NAME@="obj/@NAME@"
    EXTRAS="@TODO@" # cflags, libs

    echo "Building application ${@NAME@}..."

    source src/@NAME@/build.monolithic

    MODIFIED=0
    for test in ${MONOLITHIC_TESTS} ${SRC}
    do
        if [ ${test} -nt ${@NAME@} ]
        then
            MODIFIED=1
            break
        fi
    done

    if [ ${MODIFIED} -ne 0 ]
    then
        echo " Compiling..."

        do_cmd ${CC} ${CFLAGS} -o "${@NAME@}" ${SRC} ${EXTRAS} || return 1

        print_success "Application built"
    else
        print_success "Application up to date"
    fi

    @NAME@_BUILT=1

fi

# kate: replace-trailing-space-save true; space-indent true; tab-width 4;
# vim: expandtab:ts=4:sw=4
